Bug 199609 - system-install-packages crashes while downloading dependencies
system-install-packages crashes while downloading dependencies
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
http://bugbear.blackfish.org.uk/~brun...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-20 14:56 EDT by Steve Brown
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-11 18:25:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The crash dump. (2.01 KB, text/plain)
2006-07-20 14:56 EDT, Steve Brown
no flags Details
Error Message from pirut (1.00 KB, text/plain)
2006-08-14 13:46 EDT, George Privon
no flags Details

  None (edit)
Description Steve Brown 2006-07-20 14:56:19 EDT
Description of problem:
Software installer (system-install-packages) barfs while downloading
dependencies for a third-party RPM.

Version-Release number of selected component (if applicable):
[root@lithium ~]# uname -a
Linux lithium 2.6.17-1.2145_FC5smp #1 SMP Sat Jul 1 13:19:14 EDT 2006 i686 i686
i386 GNU/Linux
I cannot seem to get system-install-packages to print a version number.  This is
a fresh install of FC5 final, with all the latest updates.

How reproducible:
Crashed while running a second instance of system-install-packages, which was
installing a different package.

Steps to Reproduce:
0. Have a second instance of system-install-packages running beforehand.
1. Install package autopano-sift-2.4-1.bp.fc5.i386.rpm 
http://bugbear.blackfish.org.uk/~bruno/apt/fedora/linux/5/i386/RPMS.panorama/
2.  Mono .NET framework will show up as a dependency and will download.
3.  Crashes about 50% through the download process.
  
Actual results:
Unhandled exception -- see attachment.

Expected results:
Expected to install the package in question.

Additional info:
Bug filer is a bit new to Linux; I would like to work through this issue if you c
Comment 1 Steve Brown 2006-07-20 14:56:20 EDT
Created attachment 132762 [details]
The crash dump.
Comment 2 Jeremy Katz 2006-07-20 15:17:16 EDT
What version of pirut do you have installed?
Comment 3 Steve Brown 2006-07-21 12:23:56 EDT
[root@lithium ~]# yum info pirut

Installed Packages
Name   : pirut
Arch   : noarch
Version: 1.0.3
Release: 0.fc5
Size   : 624 k
Repo   : installed
Summary: Package Installation, Removal and Update Tools

Description:
 pirut (pronounced "pirate") provides a set of graphical tools for managing
software.                                   
Comment 4 George Privon 2006-08-14 13:46:28 EDT
Created attachment 134154 [details]
Error Message from pirut

I have a similar problem when using pirut and pup. It crashes when it is the
only software program running.

I've attached the error messages.
Comment 5 George Privon 2006-08-16 13:37:54 EDT
Upon reflection, it seems my error is slightly different. My problem occurs when
determining dependency info, as opposed to when downloading the actual packages. 

I've narrowed it down.. updating works fine when using yum via the command line,
so it appears that the issue I'm having relates to the interfacing between
pirut/pup and yum.
Comment 6 Jeremy Katz 2006-09-11 18:25:20 EDT
I think this should be fixed for FC6 with some of the changes that I've done in
yum and pirut

Note You need to log in before you can comment on or make changes to this bug.